curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/source/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/source/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/source/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Project ID
Active IAM ID (To access contact person account) Find your Active IAM ID here
Location
The page number from which you want your page search results to be displayed.
Number of results per page
Responses
Section titled “Responses”Successfully retrieved syncer sources
object
object
Unique identifier of the syncer source.
Name of the syncer source.
Status of the syncer source.
Start date of the syncer source.
File search filter settings.
Upper limit of file size.
Lower limit of file size.
Array of file paths.
Regular expression pattern for file filtering.
object
ID of the creator.
Name of the creator.
Email of the creator.
Username of the creator.
Timestamp of creation.
Timestamp of last update.
Type of the source.
object
ID of the source connector.
Type of the source connector.
Name of the source connector.
URL of the icon for the source connector.
Description of the source connector.
object
Name of the storage bucket.
Endpoint URL of the object storage.
Access key for authentication.
Prefix path within the bucket.
Contains error details if any.
object
Response message.
Total number of pages available.
Total number of syncer sources available.
Example
{ "code": 200, "data": [ { "id": 214, "name": "syncer-source-021917393333", "status": "active", "start_date": null, "file_search_filter": [], "file_size_upper_limit": 0, "file_size_lower_limit": 0, "path_array": [], "regex_pattern": null, "created_by": { "id": 4945, "name": "Rahul Tanwar", "email": "rahul.tanwar@e2enetworks.com", "username": "rahul.tanwar@e2enetworks.com" }, "created_at": "2025-02-19T12:12:47.457714Z", "updated_at": "2025-02-19T12:12:47.549457Z", "source_type": "minio", "source_connector": { "id": 1, "source_type": "minio", "name": "MinIO", "icon_url": "/data-syncer-images/minio.png", "description": "MinIO is an open source object storage system." }, "configuration": { "bucket_name": "test-r1", "endpoint_url": "objectstore.e2enetworks.net", "access_key": "OYG8DNWGXK6TOQ2GX1PM", "prefix": "/" } } ], "errors": {}, "message": "Success", "total_page_number": 1, "total_count": 1}